- name: Create directories
  file:
    name: "{{ account_homedir.stdout }}/{{ item }}"
    state: directory
    mode: 0700
    owner: "{{ account_name.stdout }}"
    group: "{{ group_name.stdout }}"
  loop:
    # Could also use /etc/pipewire/pipewire.conf.d/ for system-wide config.
    - ".config/pipewire/pipewire.conf.d"

- name: Copy files
  copy:
    src: "files/{{ item.src }}"
    dest: "{{ account_homedir.stdout }}/{{ item.dest }}"
    mode: 0600
    owner: "{{ account_name.stdout }}"
    group: "{{ group_name.stdout }}"
  loop:
    - src: 99-input-denoising.conf
      dest: .config/pipewire/pipewire.conf.d/
